[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: Re[2]: [equinox-dev] OSGi specification supported by Equnox 3.4 and OSGi test cases

I'm not seeing that error when I use the target ant script supplied with the TCK to launch the RI. How are you launching the RI?

Tom



Inactive hide details for Pavlin Dobrev ---07/02/2008 09:24:15 AM---Hi Tom, Thank you for the quick reply! I have also problem Pavlin Dobrev ---07/02/2008 09:24:15 AM---Hi Tom, Thank you for the quick reply! I have also problem with test.permissionadmin.conditional th


From:

Pavlin Dobrev <p.dobrev@xxxxxxxxxxx>

To:

Equinox development mailing list <equinox-dev@xxxxxxxxxxx>

Date:

07/02/2008 09:24 AM

Subject:

Re[2]: [equinox-dev] OSGi specification supported by Equnox 3.4 and OSGi test cases




Hi Tom,

Thank you for the quick reply!

I have also problem with test.permissionadmin.conditional the fail is below.


052106.410test.permissionadmin.conditional_TBCXtestNamedConditionalPermissionAdmin: "not allowed permission [*, class,execute,extensionLifecycle,lifecycle,listener,metadata,resolve,resource,startlevel,context] expected:[java.lang.SecurityException] but was:[org.osgi.test.cases.util.AssertionFailedError]" [result]

..


052106.738test.permissionadmin.conditional_TBCXtestBundleSignerCondition: "not allowed permission [*, class,execute,extensionLifecycle,lifecycle,listener,metadata,resolve,resource,startlevel,context] expected:[java.lang.SecurityException] but was:[org.osgi.test.cases.util.AssertionFailedError]" [result]

Do you have any idea about that?

-Pavlin


>See https://www.osgi.org/members/bugzilla/show_bug.cgi?id=564

In the R4.1 TCK these testcases assumed that exporting bundles also imported the packages from themselves. According to the spec the framework must choose a bundle to either be an exporter or an importer of a package but it cannot be both. Equinox was updated to the clarified behavior and the TCK was also updated post R4.1.

Tom



Pavlin Dobrev ---07/02/2008 04:20:41 AM---Hi all, I tried to run of the OSGi test cases for OSGi Release 4.1 (using jsr291-tck-final.zip and





From:

Pavlin Dobrev <p.dobrev@xxxxxxxxxxx>

To:

"equinox-dev@xxxxxxxxxxx" <equinox-dev@xxxxxxxxxxx>

Date:

07/02/2008 04:20 AM

Subject:

[equinox-dev] OSGi specification supported by Equnox 3.4 and OSGi test cases





Hi all,

I tried to run of the OSGi test cases for OSGi Release 4.1 (using jsr291-tck-final.zip and
osgi.ri-tck.zip) and found that some of the package admin test cases fails on
Equinox 3.4 (all of them pass on equinox 3.3.2).

The failed test cases are:
test.packageadmin.tc3
test.packageadmin.tc5

Are there any changes in the package admin mechanism between 3.3 and 3.4?
Do the Equinox 3.4 is OSGi R4.1 compatible or some part of the next
specification and/or errata is implemented?

Are there any configuration prosperities that I can use in order to
configure properly Equinox?


-Pavlin Dobrev
-----------------------------------------------------
Dr. Pavlin Dobrev, Research and Development Manager
ProSyst Labs EOOD,
48 Vladaiska Str., Sofia, Bulgaria,
Tel. (+359 2) 954 91 62 . Fax. (+359 2) 953 26 17
p.dobrev@xxxxxxxxxxx , http://www.prosyst.com
-----------------------------------------------------
stay in touch with your product.
-----------------------------------------------------

_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev

_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev


GIF image

GIF image